Show / Hide Table of Contents

# Interface IEnhancedBeatSaberPlugin

An enhanced version of a standard BeatSaber plugin.

##### Inherited Members

IBeatSaberPlugin.OnApplicationStart()
IBeatSaberPlugin.OnApplicationQuit()
IBeatSaberPlugin.OnUpdate()
IBeatSaberPlugin.OnFixedUpdate()
IBeatSaberPlugin.OnSceneLoaded(Scene, LoadSceneMode)
IBeatSaberPlugin.OnSceneUnloaded(Scene)
IBeatSaberPlugin.OnActiveSceneChanged(Scene, Scene)
IGenericEnhancedPlugin.Filter
IGenericEnhancedPlugin.OnLateUpdate()

###### Namespace: IPA

###### Assembly: IPA.Loader.dll

##### Syntax

    public interface IEnhancedBeatSaberPlugin : IBeatSaberPlugin, IGenericEnhancedPlugin

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])